# Linux

Start program：

```
# cd Telink_libusb_BDT File directory
./bdt_gui
```

Before compiling and using, please check whether the computer is installed GTK, glib corresponding library, this application development uses **gtk+3**.

For example, Ubuntu installs gtk

```
sudo apt-get install libgtk-3-dev
# We can also install the GTK+3.0 library and its dependencies directly if we have problems with the installation:
sudo apt-get install libgtk3*
```
Copy **libcurl.so.4** to the system library path. for example, /usr/lib.

# Mac

Start program

1. Start in installation package

   The program is installed to `/Library/Telink_libusb_BDT`by default. And create shortcut in `/Application`.

   You can Click icon Telink_libusb_BDT.app to start program.

2. Start in compressed package

```
# cd Telink_libusb_BDT File directory
./bdt_gui
```

If you want to use bdt command, please refer to the document. Document store in installed path `/doc`.

Before compiling and using, please check whether the computer is installed GTK, glib library, this application development uses **gtk+3**.

```
brew install gtk+3
brew install libusb
brew install curl
```

# Windows

Running program ： bin -> bdt_gui.exe.

The Windows platform does not require the GTK library to be installed, and the Release package already includes the DLLS you need to use.

In Windows using please ensure the Burning evk firmware version in 3.5 above.

**Install zadig software to Replace the Burning EVK device driver with a WinUSB type driver**
Replace the step:

       1. option -> list all devices
       2. select device
       3. Replace the driver with a WinUSB driver
           Download url: https://zadig.akeo.ie/#

If your driver is of type libusbk, bdT_cmd, bdt_GUI, the program may be abnormal (cannot recognize the device properly). Please convert correctly before using.